StopFilterFactory (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.core, class: StopFilterFactory

Package org.apache.lucene.analysis.core

# Class StopFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory
org.apache.lucene.analysis.core.StopFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class StopFilterFactory extends AbstractWordsFileFilterFactory
Factory for `StopFilter`.

     <fieldType name="text_stop" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="true">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.StopFilterFactory" ignoreCase="true"
                 words="stopwords.txt" format="wordset"
       </analyzer>
     </fieldType>

All attributes are optional:

- `ignoreCase` defaults to `false`
- `words` should be the name of a stopwords file to parse, if not specified the factory will use `EnglishAnalyzer.ENGLISH_STOP_WORDS_SET`
- `format` defines how the `words` file will be parsed, and defaults to `wordset`. If `words` is not specified, then `format` must not be specified.

The valid values for the `format` option are:

- `wordset` - This is the default format, which supports one word per line (including any intra-word whitespace) and allows whole line comments beginning with the "#" character. Blank lines are ignored. See `WordlistLoader.getLines` for details.
- `snowball` - This format allows for multiple words specified on each line, and trailing comments may be specified using the vertical line ("|"). Blank lines are ignored. See `WordlistLoader.getSnowballWordSet` for details.

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "stop"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

  `FORMAT_SNOWBALL, FORMAT_WORDSET`

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StopFilterFactory()`
  Default ctor for compatibility with SPI
  `StopFilterFactory(Map<String,String> args)`
  Creates a new StopFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenStream`
  `create(TokenStream input)`
  `protected CharArraySet`
  `createDefaultWords()`
  Default word set implementation.
  `CharArraySet`
  `getStopWords()`

  ### Methods inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

  `getFormat, getWordFiles, getWords, inform, isIgnoreCase`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StopFilterFactory

    public StopFilterFactory(Map<String,String> args)
    Creates a new StopFilterFactory

  - ### StopFilterFactory

    public StopFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### getStopWords

    public CharArraySet getStopWords()

  - ### createDefaultWords

    protected CharArraySet createDefaultWords()
    Description copied from class: `AbstractWordsFileFilterFactory`
    Default word set implementation.
    Specified by:
      `createDefaultWords` in class `AbstractWordsFileFilterFactory`

  - ### create

    public TokenStream create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`